import ajax from '../util/ajax'
import api from '../util/api'

export default {
  namespaced: true,
  state: {
    userInfo: {}
  },
  mutations: {
    updateMenu (state, data) {
      state.menuData = data || []
    }
  },
  actions: {
    login (context, data) {
      context
      return new Promise((resolve, reject) => {
        ajax({
          ...api.common.login,
          data: {
            ...data,
          }
        }).then(() => {
          resolve()
        }).catch(reject)
      })
    }
  }
}
